Complete profile for OAuth users
curl --request POST \
--url https://api.engagefabric.com/auth/complete-profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"companyName": "Acme Corporation",
"captchaToken": "0.AbCdEfGhIjKlMnOpQrStUvWxYz...",
"acceptedTerms": true,
"applicationNote": "We run an EdTech platform with 10k MAUs and want to reduce churn by adding gamification."
}
'import requests
url = "https://api.engagefabric.com/auth/complete-profile"
payload = {
"companyName": "Acme Corporation",
"captchaToken": "0.AbCdEfGhIjKlMnOpQrStUvWxYz...",
"acceptedTerms": True,
"applicationNote": "We run an EdTech platform with 10k MAUs and want to reduce churn by adding gamification."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
companyName: 'Acme Corporation',
captchaToken: '0.AbCdEfGhIjKlMnOpQrStUvWxYz...',
acceptedTerms: true,
applicationNote: 'We run an EdTech platform with 10k MAUs and want to reduce churn by adding gamification.'
})
};
fetch('https://api.engagefabric.com/auth/complete-profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"tenant": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Acme Corporation",
"slug": "acme-corp",
"plan": "FREE",
"alphaApprovalStatus": "PENDING"
},
"user": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"email": "admin@acme.com",
"name": "John Doe",
"role": "OWNER",
"profileCompleted": true
}
}auth
Complete profile for OAuth users
OAuth users must complete their profile by providing company name, application note, and accepting terms of service
POST
/
auth
/
complete-profile
Complete profile for OAuth users
Authorizations
JWT token for admin console authentication
Body
application/json
Company/Organization name
Required string length:
2 - 255Example:
"Acme Corporation"
Cloudflare Turnstile CAPTCHA token
Example:
"0.AbCdEfGhIjKlMnOpQrStUvWxYz..."
User has accepted terms of service
Example:
true
Optional note about why they want to join the alpha program
Maximum string length:
500Example:
"We run an EdTech platform with 10k MAUs and want to reduce churn by adding gamification."
Response
Profile completed successfully
Success message
Updated tenant information
Example:
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Acme Corporation",
"slug": "acme-corp",
"plan": "FREE",
"alphaApprovalStatus": "PENDING"
}
Updated user information
Example:
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"email": "admin@acme.com",
"name": "John Doe",
"role": "OWNER",
"profileCompleted": true
}
⌘I
